summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeffrey Gardner <je_fro@gentoo.org>2007-08-02 19:07:54 +0000
committerJeffrey Gardner <je_fro@gentoo.org>2007-08-02 19:07:54 +0000
commit4cde1d8f78585807f1d853e5524a2776448c9d76 (patch)
treef865c05a16cc8839e3510e9c61a9f60907e6edea /net-wireless/wpa_supplicant/files
parentAdding 8.39.4 as discussed in bug #183480. (diff)
downloadje_fro-4cde1d8f78585807f1d853e5524a2776448c9d76.tar.gz
je_fro-4cde1d8f78585807f1d853e5524a2776448c9d76.tar.bz2
je_fro-4cde1d8f78585807f1d853e5524a2776448c9d76.zip
Use madwifi-ng-svn instead.
svn path=/; revision=10
Diffstat (limited to 'net-wireless/wpa_supplicant/files')
-rw-r--r--net-wireless/wpa_supplicant/files/digest-wpa_supplicant-0.6.03
-rw-r--r--net-wireless/wpa_supplicant/files/wpa_cli.sh45
-rw-r--r--net-wireless/wpa_supplicant/files/wpa_supplicant.conf7
3 files changed, 55 insertions, 0 deletions
diff --git a/net-wireless/wpa_supplicant/files/digest-wpa_supplicant-0.6.0 b/net-wireless/wpa_supplicant/files/digest-wpa_supplicant-0.6.0
new file mode 100644
index 0000000..55d395c
--- /dev/null
+++ b/net-wireless/wpa_supplicant/files/digest-wpa_supplicant-0.6.0
@@ -0,0 +1,3 @@
+MD5 635c7af7cecb39954997146b5c734b1c wpa_supplicant-0.6.0.tar.gz 842023
+RMD160 17ba4903389a00527de772072dcd8e234d759fe9 wpa_supplicant-0.6.0.tar.gz 842023
+SHA256 24ce7873cbf2b23c00f931dd7f20326bea5463dd2a50a865b3d9bffd3f5780b7 wpa_supplicant-0.6.0.tar.gz 842023
diff --git a/net-wireless/wpa_supplicant/files/wpa_cli.sh b/net-wireless/wpa_supplicant/files/wpa_cli.sh
new file mode 100644
index 0000000..d7d340b
--- /dev/null
+++ b/net-wireless/wpa_supplicant/files/wpa_cli.sh
@@ -0,0 +1,45 @@
+#!/bin/sh
+# Copyright 1999-2006 Gentoo Foundation
+# Written by Roy Marples <uberlord@gentoo.org>
+# Distributed under the terms of the GNU General Public License v2
+# Alternatively, this file may be distributed under the terms of the BSD License
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/wpa_supplicant/files/wpa_cli.sh,v 1.1 2006/07/11 15:07:16 uberlord Exp $
+
+if [ -z "$1" -o -z "$2" ]; then
+ logger -t wpa_cli "Insufficient parameters"
+ exit 1
+fi
+
+INTERFACE="$1"
+ACTION="$2"
+
+# Note, the below action must NOT mark the interface down via ifconfig, ip or
+# similar. Addresses can be removed, changed and daemons can be stopped, but
+# the interface must remain up for wpa_supplicant to work.
+
+if [ -f /etc/gentoo-release ]; then
+ EXEC="/etc/init.d/net.${INTERFACE} --quiet"
+else
+ logger -t wpa_cli "I don't know what to do with this distro!"
+ exit 1
+fi
+
+case ${ACTION} in
+ CONNECTED)
+ EXEC="${EXEC} start"
+ ;;
+ DISCONNECTED)
+ EXEC="${EXEC} stop"
+ ;;
+ *)
+ logger -t wpa_cli "Unknown action ${ACTION}"
+ exit 1
+ ;;
+esac
+
+# ${EXEC} can use ${IN_BACKGROUND} so that it knows that the user isn't
+# stopping the interface and a background process - like wpa_cli - is.
+export IN_BACKGROUND=true
+
+logger -t wpa_cli "interface ${INTERFACE} ${ACTION}"
+${EXEC} || logger -t wpa_cli "executing '${EXEC}' failed"
diff --git a/net-wireless/wpa_supplicant/files/wpa_supplicant.conf b/net-wireless/wpa_supplicant/files/wpa_supplicant.conf
new file mode 100644
index 0000000..c3a29e5
--- /dev/null
+++ b/net-wireless/wpa_supplicant/files/wpa_supplicant.conf
@@ -0,0 +1,7 @@
+# This is a network block that connects to any unsecured access point.
+# We give it a low priority so any defined blocks are preferred.
+network={
+ key_mgmt=NONE
+ priority=-9999999
+}
+